<div class="container">
  <h1>Register a new account</h1>
  <form [formGroup]="form" (ngSubmit)="onSubmit()">
    <div class="form-group">
      <label for="username">Username:</label>
      <input type="text" class="form-control" formControlName="username">
    </div>
    <br>
    <div class="form-group">
      <label for="password">Password:</label>
      <input type="password" class="form-control" formControlName="password">
    </div>
    <br>
    <div class="form-group">
      <label for="confirmPassword">Confirm Password:</label>
      <input type="password" class="form-control" formControlName="confirmPassword">
      <small class="text-danger" *ngIf="form.hasError('mismatch') && form.get('confirmPassword')?.touched">
        Passwords don't match
      </small>
    </div>
    <br>
    <button class="btn btn-primary" [disabled]="form.invalid">Register</button>
  </form>
  <div *ngIf="isLoading">
    <br>
    <mat-progress-bar mode="indeterminate"></mat-progress-bar>
  </div>  
</div>
